using ASHermed.SinoInterface.Api.ContractModel;
using ASHermed.SinoInterface.Api.ContractModel.App.Entity;
using ASHermed.SinoInterface.ContractModel;
using System;
using System.Collections.Generic;
using System.Text;

namespace ASHermed.SinoInterface.Api.IService.App
{
    public interface IInsuranceService
    {
        BaseResponse<List<Pub_Insurance>> GetPubInsurancesList(int patId);
        List<Pub_Insurance> GetPatUsedInsurancesList(int patId);
        BaseResponse<int> AddPubInsurances(Pub_Insurance request);
        BaseResponse<bool> UpdatePubInsurances(Pub_Insurance request);
        BaseResponse<InsuranceModel> GetPubInsuranceInfo(int patId);
        InsuranceModel GetPubInsuranceById(int id);
        bool DeletePubInsurances(int id);
    }
}
